Skip to main content
`Ctrl`+`K`

# PetscLogHandlerGetEventPerfInfo

Get a direct reference to the `PetscEventPerfInfo` of a stage and event

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscLogHandlerGetEventPerfInfo(PetscLogHandler handler, PetscLogStage stage, PetscLogEvent event, PetscEventPerfInfo **event_info)

Not collective, No Fortran Support

## Input Parameters

- handler - a `PetscLogHandler`

- stage - a `PetscLogStage` (or `PETSC_DEFAULT` for the current stage)

- event - a `PetscLogEvent`

## Output Parameter

- event_info - a pointer to a performance log for `event` during `stage` (or `NULL` if this handler does not use `PetscEventPerfInfo` to record performance data); writing to `event_info` will change the record in `handler`

## See Also

Profiling, `PetscLogEventGetPerfInfo()`, `PETSCLOGHANDLERDEFAULT`

## Level

developer

## Location

src/sys/logging/handler/interface/loghandler.c

## Implementations

PetscLogHandlerGetEventPerfInfo_Default() in src/sys/logging/handler/impls/default/logdefault.c

Index of all Log routines
Table of Contents for all manual pages
Index of all manual pages